Subject: Re: [PATCH net-next] net: mscc: allow extracting the FCS into the skb

From: Antoine Tenart <[email-masked]>
Date: Wed, 10 Oct 2018 16:46:31 +0200

Hi all,

On Tue, Oct 02, 2018 at 02:43:23PM +0200, Andrew Lunn wrote:
> > The question could be "do we need len += ETH_FCS_LEN" to account for the
> > FCS when NETIF_F_RXFCS is used", but I looked at other drivers and it
> > seemed to me the FCS is not accounted in the stats. Should it be?
> 
> There does not appear to be a good answer to that. I submitted a patch
> to a driver i'm using to not count it, so that the stats counters we
> consistent with another driver. The patch was rejected.
> 
> I think the best you can do is flip a coin, and then document it using
> a comment about if it is/is not included.

I'll leave it as-is then :)

@Dave, Florian: it seems to me no modification was requested after
discussing those changes. Where do we stand regarding the patch?

Thanks!
Antoine

-- 
Antoine Ténart, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com